Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78938 - RFE: need to cache short and long package XML/parse-info
Summary: RFE: need to cache short and long package XML/parse-info
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server
Version: unspecified
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Todd Warner
QA Contact: Fanny Augustin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-03 19:48 UTC by Todd Warner
Modified: 2007-07-31 19:10 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-07-01 19:54:25 UTC


Attachments (Terms of Use)

Description Todd Warner 2002-12-03 19:48:45 UTC
downloading/parsing the short and long package info during the satellite-sync
process is slow and torturous... let's think about caching this shit.

What's involved (off the top of my head):
not needed immediately:
o a way to query the version (datastamp) of the short/long xml on server-side
o caching the actual xml (maybe)... maybe just note the version.
needed soon:
o parsing is where most of the time is spent (metrics needed)... need to
  pre-parse and shelve the short/long parsed results.
  - when channel info is downloaded, we know what package info is required...
    just check the shelve first.

This would info retrieve WAY fast.

Comment 1 Todd Warner 2002-12-03 19:50:56 UTC
added to titan tracking bug and accepted.

Comment 2 Todd Warner 2002-12-17 00:35:14 UTC
in CVS... needs QA, etc.

Now have a SyncCache class that syncs all parsed XML objects. This should speed
up the sync process tremendously when duplicate data is encountered throughout
the process.

Can also speed the process a whole lot more if you set --cache-refresh-level 0


Comment 3 Greg DeKoenigsberg 2003-04-11 14:46:45 UTC
Moving to RHN 3.0.0

Comment 4 Josef Komenda 2003-06-03 16:01:58 UTC
Ready for QA.

Comment 5 Josef Komenda 2003-06-05 21:18:35 UTC
Works in -38. Prod Ready.

Comment 6 Josef Komenda 2003-06-16 14:44:13 UTC
Looks good in -47.

Comment 7 Josef Komenda 2003-07-01 19:54:25 UTC
Works in -62 and production, closing.


Note You need to log in before you can comment on or make changes to this bug.